Wiki

Clone wiki

snakeyaml / Android

Android support

SnakeYAML should support Java 6+ as well as Android. The only obstacle here seems to be the use of Introspector, which is not available on Android.

At the moment you can get android version into your local repository from the sources:

mvn -Pandroid clean install
and then reference it as dependency in your pom.xml with <classifier>android</classifier>

Not the best way, but at the moment it is THE way :)

Updated